<TeXmacs|1.0.0.3>

<style|help>

<\body>
  <chapter|Compatibilidad con LaTeX>

  Aunque <apply|TeXmacs> no ha sido diseado para ser totalmente compatible
  con <apply|LaTeX>, es posible convertir documentos de <apply|TeXmacs> a
  <apply|LaTeX> y <with|font shape|italic|vice versa>, aunque el resultado no
  siempre ser perfecto. Generalmente las conversiones desde <apply|TeXmacs>
  a <apply|LaTeX> darn mejores resultados que a la inversa. En particular,
  puedes usar <apply|TeXmacs> para escribir artculos que necesiten ser
  convertidos a <apply|LaTeX> para su posterior difusin con resultados
  razonablemente buenos. En este captulo, describiremos de forma precisa los
  mecanismos de conversin que te ayudarn a obtener los resultados ms
  satisfactorios posibles.

  <section|Conversin de <TeXmacs> a <LaTeX>>

  La situcacin ms comn es que quieras convertir un artculo desde
  <apply|TeXmacs> a <apply|LaTeX>, con objeto de enviarlo a alguna
  publicacin. Dado un fichero <apply|TeXmacs> que llamaremos
  <verbatim|nombre.tm>, puedes convertirlo a un fichero <apply|LaTeX>
  <verbatim|nombre.tex> mediante <subsubmenu|Fichero|exportar|LaTeX>. Como
  primera opcin puedes ejecutar <apply|LaTeX> sobre <verbatim|nombre.tex>, y
  comprobar si obtienes resultados satisfactorios. En caso afirmativo, debes
  enviar <verbatim|nombre.tex> junto con el fichero de estilo
  <verbatim|TeXmacs.sty>, que podrs encontrar en el directorio
  <verbatim|$TEXMACS_PATH/misc/latex>.

  Es usual que la publicacin a la que enves tus trabajos use su propio
  fichero de estilo (llammoslo <verbatim|journal.sty>). En ese caso , debes
  tambin copiar el fichero

  <\verbatim>
    \ \ \ \ $TEXMACS_PATH/styles/article.ts
  </verbatim>

  como\ 

  <\verbatim>
    \ \ \ \ ~/.TeXmacs/styles/journal.ts
  </verbatim>

  y usar <verbatim|journal> como tu estilo de documento mediante
  <subsubmenu|Documento|estilo|otro>. Opcionalmente puedes editar
  <verbatim|journal.ts>, para que la presentacin del artculo sea lo ms
  conforme al estilo de la revista. En algunos casos, tendrs que crear una
  nueva copia de <verbatim|TeXmacs.sty>, y modificar alguno de los entornos
  para conseguir compatibilidad con el fichero <verbatim|journal.sty> de la
  revista.

  Si tu primer intento de convertir tu documento a <apply|LaTeX> no produce
  un resultado satisfactorio, usualmente ser debido a que la conversin
  incorrecta de pequeas partes del texto. Esto puede ser debido a tres
  razones fundamentalmente:

  <\itemize>
    <item>Tu texto usa algunas caractersticas exclusivas de <apply|TeXmacs>.

    <item>Ests usando una caracterstica de <apply|TeXmacs> que no ha sido
    implementada an en el algoritmo de conversin.

    <item>Acabas de encontrar un fallo en el algoritmo de conversin.
  </itemize>

  Estas posibilidades sern discutidas en la siguiente seccin.

  En caso de problemas, una estrategia simple sera corregir el fichero
  <apply|LaTeX> producido y enviarlo a la revista. Sin embargo, esta
  estrategia tiene la desventaja de que debes hacer las correcciones una y
  otra vez con cada conversin de tu fichero <apply|TeXmacs>
  <verbatim|nombre.tm> tras hacer modificaciones extra. Una estrategia mejor
  es usar <subsubmenu|Insertar|especfico|latex> e
  <subsubmenu|Insertar|especfico|texmacs> para escribir texto que solo ser
  visible en el fichero convertido o en el original respectivamente.

  Por ejemplo: asumamos que la palabra ``blauwbilgorgel'' es partida al final
  de la lnea correctamente en <apply|TeXmacs>, pero no en la conversin a
  <apply|LaTeX>. Debers hacer lo siguiente:

  <\enumerate>
    <item>Seleccionar ``blauwbilgorgel''.

    <item>Click en <subsubmenu|Insertar|especfico|texmacs> para hacer el
    texto ``blauwbilgorgel'' especfico de <apply|TeXmacs>.

    <item>Click en <subsubmenu|Insertar|specfico|latex>.

    <item>Teclear el cdigo latex <verbatim|blauw\\-bil\\-gor\\-gel> con las
    divisiones correctas.

    <item>Pulsa <key|return> para activar el texto especfico <apply|LaTeX>.
  </enumerate>

  De la misma forma puedes insertar saltos de lnea o de pgina, espacios
  verticales, modificaciones de los parmetros del estilo, etc.\ 

  <section|Posibles fuentes de problemas de conversin>

  <subsection|Caractersticas especficas de TeXmacs>

  Algunas primitivas de tipografa en <apply|TeXmacs> no tienen anlogas en
  <apply|LaTeX>, y el algoritmo de conversin simplemente las transformar
  como espacios en blanco. Algunas caractersticas especficas de
  <apply|TeXmacs> son:

  <\itemize>
    <item>Primas a la izquierda.

    <item>Separadores grandes entre delimitadores grandes.

    <item>Mosaicos.

    <item>rboles.

    <item>Macros complejas de usuario.

    <item>Espacios verticales ``antes'' y ``despus''.

    <item>Seales de sangrado ``anterior'' y ``posterior''.
  </itemize>

  Deberas evitar usar estas carctersticas especficas de <apply|TeXmacs>
  si necesitas convertir tu documento a <apply|LaTeX>. Sin embargo, en el
  futuro, el programa de conversin debera generar postscript encapsulado
  por defecto a falta de una interpretacin ms inteligible.

  <subsection|Conversiones aun no implementadas>

  Aunque intentamos mantener el algoritmo de conversin tan completo como nos
  es posible, algunas cosas aun no han sido implementadas. Ejemplos:

  <\itemize>
    <item>Fuentes no estndar.

    <item>Conversin de tablas.

    <item>Parmetros de estilo.
  </itemize>

  Cualquier sugerencia sobre extensiones deseables en el algoritmo de
  conversin puedes remitirla a

  <\verbatim>
    \ \ \ \ TeXmacs@math.u-psud.fr
  </verbatim>

  e intentaremos incorporarla tan pronto como nos sea posible. Puede que nos
  lleve algn tiempo implementar la correcta conversin de los parmetros de
  estilo, ya que estos no son los mismos en <apply|TeXmacs> y <apply|LaTeX>.
  Es ms, es imposible eliminar completamente las diferencias en la impresin
  final entre <apply|TeXmacs> y <apply|LaTeX>.

  <subsection|Fallos en el algoritmo de conversin>

  Estamos hablando de situaciones sorprendentes cuando un documento
  <apply|TeXmacs> convertido, produce montones de errores en la compilacin o
  si el resultado no tiene nada que ver con el original. En estos casos,
  probablemente has detectado un bug en el algoritmo de conversin (o en la
  instalacin <apply|LaTeX> en tu sistema). Por favor, intenta averiguar la
  fuente del bug y remitirla por e-mail a

  <\verbatim>
    \ \ \ \ TeXmacs@math.u-psud.fr
  </verbatim>

  <section|Conversin de <LaTeX> a <TeXmacs>>

  La intencin del programa de conversin de <apply|LaTeX> a <apply|TeXmacs>,
  es <with|font shape|italic|ayudarte> en la conversin de tus viejos
  documentos a <apply|TeXmacs>. <with|font shape|italic|Grosso modo>, la
  conversin de <apply|LaTeX> a <apply|TeXmacs> es ms problemtica que a la
  inversa. Sin embargo, mientras te limites a usar los comandos <apply|LaTeX>
  ms comunes, deberas poder hacer la conversin de tus viejos documentos
  razonablemente bien. Por ejemplo, todos los ficheros de ayuda de
  <apply|TeXmacs> fueron redactados originalmente en <apply|LaTeX> con el
  objeto de validar en programa de conversin de <apply|LaTeX> a
  <apply|TeXmacs>.

  Puedes convertir un documento <apply|LaTeX> <verbatim|nombre.tex> a
  <apply|TeXmacs> usando <subsubmenu|Fichero|importar|LaTeX> y guardarlo como
  <verbatim|nombre.tm>. Si tu documento <apply|LaTeX> fue escrito
  suficientemente bien, entonces, el resultado de la conversin debera ser
  ms o menos aceptable, con excepcin de ciertos comando no reconocidos que
  apareceran en rojo. Una buena solucin sera escribir tu propio documento
  de estilo para documentos convertidos, basado en el estilo original, y en
  el que los comandos no reconocidos estuviesen definidos.

  Sin embargo, en ciertos casos desafortunados, aparecer un gran caos. Esto
  es debido frecuentemente al hecho de que <apply|TeX> y <apply|LaTeX>
  permiten al usuario modificar el analizador dinmicamente, por ejemplo
  usando el comando <verbatim|\\catcode>. En este caso, el programa de
  conversin podra llegar a confundirse realizando presuposiciones errneas
  sobre el modo o el entorno. Como resultado, puede que el texto sea
  confundido con las matemticas, las matemticas con el texto sin formato
  (literal), etc. En cualquier caso, los comandos en tu fichero
  <verbatim|nombre.tex> que confundan al programa de conversin son
  fcilmente localizables comparando el cdigo fuente <apply|LaTeX> con su
  conversin a <apply|TeXmacs>. Realizando algunas modificaciones en el
  cdigo deberas poder eliminar la parte problemtica de forma que el
  documento se convierta razonablemente bien.

  En el futuro, planeamos extender el programa de conversin con un conversor
  de ficheros de estilo y algunas caractersticas adicionales que facilitarn
  la traduccin de comandos definidos por el usuario, que estn definidos en
  otro documento aparte del que quieres convertir.
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-5|<tuple|5.|?>>
    <associate|toc-6|<tuple|5.|?>>
    <associate|toc-7|<tuple|5.|?>>
    <associate|toc-1|<tuple|<uninit>|?>>
    <associate|toc-2|<tuple|<uninit>|?>>
    <associate|toc-3|<tuple|5.|?>>
    <associate|toc-4|<tuple|5.|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|Compatibilidad con
      LaTeX><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      Conversin de TeXmacs a LaTeX<value|toc-dots><pageref|toc-2>

      Posibles fuentes de problemas de conversin<value|toc-dots><pageref|toc\
      -3>

      <with|left margin|<quote|1.5fn>|Caractersticas especficas de
      TeXmacs<value|toc-dots><pageref|toc-4>>

      <with|left margin|<quote|1.5fn>|Conversiones aun no
      implementadas<value|toc-dots><pageref|toc-5>>

      <with|left margin|<quote|1.5fn>|Bugs en el algoritmo de
      conversin<value|toc-dots><pageref|toc-6>>

      Conversin de LaTeX a TeXmacs<value|toc-dots><pageref|toc-7>
    </associate>
  </collection>
</auxiliary>
