<TeXmacs|1.0>

<style|help>

<\body>
  <chapter|El teclado>

  \;

  <TeXmacs> reacciona a la entrada de teclado de forma diferente segn el
  modo actual (texto, matemticas o prog), \ y, a veces, segn el idioma. Por
  defecto, <TeXmacs> define un cierto nmero de acciones de teclado para cada
  modo. Tambin se pueden introducir algunos comandos <LaTeX> directamente
  desde el teclado.

  Cuando desplazamos el ratn sobre elementos de los menes, se muestra una
  nota de ayuda con las pulsaciones equivalentes a selecionar el elemento de
  men (si las hay). Abreviaturas

  <\description>
    <expand|item*|<verbatim|S->>Para combinaciones que empiezan por shift.

    <expand|item*|<verbatim|C->>Para las que empiezan por control.

    <expand|item*|<verbatim|A->>Para las que empiezan por alt.

    <expand|item*|<verbatim|E->>Para las que empiezan por escape.
  </description>

  Por ejemplo, <verbatim|E-C-b> significa <key|escape>-<key|ctrl-b>.

  El funcionamiento del teclado se rige por los siguientes principios
  generales (recuerda que, como todo en <TeXmacs> el teclado es altamente
  configurable -- visita primero el directorio
  <verbatim|$TEXMACS_PATH/progs/keyboard> para ver cmo se hace y luego
  redefine si lo deseas los atajos de teclado en tu fichero de inicio
  privado).

  <\description>
    <expand|item*|<key|ctrl-<with|mode|math|x>>>Los atajos que empiezan por
    control se utilizan para comandos compatibles con sus anlogos en Emacs,
    como <key|ctrl-y> para pegar texto.

    <expand|item*|<key|alt-<with|mode|math|x>>>La tecla alt se utiliza para
    producir smbolos, como las letras griegas en modo matemtico o como  en
    modo texto.

    <expand|item*|<key|esc>-<key|<with|mode|math|x>>>La tecla de escape se
    utiliza para comandos <TeXmacs>, como producir una fraccin. Las
    minsculas corresponden a comandos aplicables a todos los modos. Las
    maysculas corresponden a comandos especficos de cada modo.

    <expand|item*|<key|esc>-<key|esc>-<key|<with|mode|math|x>>>Las secuencias
    que comienzan por doble escape se tuilizan para producir operadores
    grandes, delimitadores grandes y smbolos matemticos adicionales.
  </description>

  <section|Acciones generales de teclado><label|kbd:general>

  <subsection|Acciones estndar>

  He aqu algunas acciones estndar de teclado, vlidas en todos los modos:

  <\description>
    <expand|item*|<key|ctrl-<with|mode|math|\<longleftarrow\>>>>eliminar un
    objeto o entorno.

    <expand|item*|<key|shift-inicio>>ir al principio del documento

    <expand|item*|<key|shift-fin>>ir al final del documento.

    <expand|item*|<key|ctrl-inicio>>fijar manualmente el comienzo de una
    seleccin.

    <expand|item*|<key|ctrl-fin>>fijar manualmente el fin de una seleccin

    <expand|item*|<key|esc>-<key|intro>>nueva lnea (nuevo tem si ests en
    una lista, sea numerada o no).

    <expand|item*|<key|alt-spc>>insertar un espacio pequeo.

    <expand|item*|<key|alt-<with|mode|math|\<longleftarrow\>>>>insertar un
    pequeo espacio negativo.
  </description>

  <subsection|Manipulacin de objetos dinmicos>

  Los objetos ``dinmicos'' como etiquetas o definiciones de funciones estn
  temporalmente inactivos mientras se modifican. Se activan pulsando la tecla
  <key|intro>. Algunos objetos dinmicos toman parmetros. Para indicarlos,
  pulsa <key|tab> en el modo inactivo. Los siguientes objetos dinmicos
  pueden utilizarse en cualquier modo:

  <\description>
    <expand|item*|<key|esc>-<key|!>>insertar una etiqueta.

    <expand|item*|<key|esc>-<key|?>>insertar una referencia.

    <expand|item*|<key|esc>-<key|=>>asignar una variable.

    <expand|item*|<key|esc>-<key|w>>cambiar localmente una variable.

    <expand|item*|<key|esc>-<key|m>>definir un macro.

    <expand|item*|<key|esc>-<key|f>>definir una funcin.

    <expand|item*|<key|esc>-<key|i>-<key|s>>insertar un smbolo.

    <expand|item*|<key|esc>-<key|i>-<key|<with|mode|math|#>>>obtener el valor
    de un argumento de macro.

    <expand|item*|<key|esc>-<key|i>-<key|v>>obtener el valor de una variable.

    <expand|item*|<key|esc>-<key|i>-<key|l>>ejecutar un comando <LaTeX>.

    <expand|item*|<key|esc>-<key|i>-<key|e>>expandir un macro.

    <expand|item*|<key|esc>-<key|i>-<key|a>>aplicar una funcin.

    <expand|item*|<key|esc>-<key|i>-<key|q>>insertar una cita.
  </description>

  Para ms informacin sobre estas funcionalidades y la creacin de marcado
  ejecutable mediante <key|esc>-<key|x>-<key|<with|mode|math|\<ldots\>>>,
  chale un vistazo a <submenu|Ayuda|estilos>.

  <subsection|Comandos <LaTeX>>

  <apply|TeXmacs> te permite introducir comandos \ <apply|LaTeX> directamente
  del teclado del modo siguiente. El carcter <key|<format|next
  line><htab|5mm><with|mode|math|\<backslash\>>> te permite entrar en el modo
  hbrido de comandos <apply|LaTeX>/<apply|TeXmacs>. Una vez en l, \ tecleas
  el comando que quieres ejecutar. Tan pronto como hayas acabado tecleando tu
  comando, el lado izquierdo del panel de informacin muestra algo como

  <\verbatim>
    \ \ \ \ \<less\>return\<gtr\>: accin que se realizar
  </verbatim>

  Cuando pulses la tecla <key|intro> (return) tu comando se ejecutar. Por
  ejemplo, en modo matemtico puedes crear un sumatorio tecleando
  <key|<with|mode|math|\<backslash\>>>-<key|s>-<key|u>-<key|m>-<key|intro>.<w\
  ith|mode|math|>

  Si el comando tecleado no es un comando <LaTeX> reconocido, entonces
  primero miramos si es un macro, funcin o entorno \ de <TeXmacs> (definido
  por el fichero de estilo). Si es as, se crea la correspondiente expansin
  del macro, aplicacin de la funcin o del entorno (con el nmero debido de
  argumentos). En otro caso, se supone que tu comando corresponde a una
  variable de entorno y se te pide su valor. Usar <key|<with|mode|math|\\>>
  es siempre equivalente a uno de los comandos \ <key|esc>-<key|i>-<key|l>,
  <key|esc>-<key|i>-<key|e>, <key|esc>-<key|i>-<key|a>,
  <key|esc>-<key|i>-<key|<with|mode|math|#>> o <key|esc>-<key|i>-<key|v>.

  <section|El teclado en modo texto><label|kbd:text>

  Las nicas acciones de teclado adicionales disponibles en modo texto son
  <key|$> para entrar en el modo matemtico y los siguientes atajos para
  crear caracteres acentuados:

  <\description>
    <expand|item*|<key|esc>-<key|>>como en : <key|esc>-<key|>-<key|e>
    produce .

    <expand|item*|<key|esc>-<key|\0>>como en .

    <expand|item*|<key|esc>-<key|^>>como en .

    <expand|item*|<key|esc>-<key|>>como en .

    <expand|item*|<key|esc>-<key|~>>como en .

    <expand|item*|<key|esc>-<key|C>>como en .

    <expand|item*|<key|esc>-<key|U>>como en .

    <expand|item*|<key|esc>-<key|V>>como en .

    <expand|item*|<key|esc>-<key|H>>como en .

    <expand|item*|<key|esc>-<key|O>>como en .

    <expand|item*|<key|esc>-<key|.>>como en .
  </description>

  Los caracteres especiales , ,,,  y  se obtienen, respectivamente,
  mediante <key|alt-s>, <key|alt-S>, <key|alt-o>-<key|alt-e>,
  <key|alt-O>-<key|alt-E>, <key|alt-a> y \ <key|alt-A>.

  En francs puedes usar tambin los atajos
  <key|<with|mode|math|\<less\>>>-<key|<with|mode|math|\<less\>>> y
  <key|<with|mode|math|\<gtr\>>>-<key|<with|mode|math|\<gtr\>>> para obtener
  las <with|language|french|guillemets> (comillas).

  En espaol el signo de apertura de exclamacin y el de apertura de
  interrogacin se pueden obtener mediante <key|!>-<key|*> (o
  <key|!>-<key|`>) y <key|?>-<key|*> (o <key|?>-<key|`>) respectivamente

  <section|El teclado en modo matemtico><label|kbd:math>

  En modo matemtico puedes volver a usar <key|$> para volver al modo texto.
  La tecla <key|alt> en combinacin con una letra se utiliza para producir
  caracteres griegos.

  <subsection|Objetos matemticos>

  Los principales objetos matemticos se crean del siguiente modo:

  <\description>
    <expand|item*|<key|esc>-<key|$>>insertar texto.

    <expand|item*|<key|<apply|tmunsc>>>crear subndice.

    <expand|item*|<key|^>>crear superndice.

    <expand|item*|<key|esc>-<key|L>-<key|<apply|tmunsc>>>crear subndice a la
    izquierda.

    <expand|item*|<key|esc>-<key|L>-<key|^>>crear superndice a la izquierda.

    <expand|item*|<key|>>crear una prima.

    <expand|item*|<key|\0>>crear una ``retro prima''.
    <with|mode|math|><with|mode|math|>

    <expand|item*|<key|esc>-<key|F>>or <key|esc>-<key|/> crear una fraccin.

    <expand|item*|<key|esc>-<key|S>>crear una raz cuadrada.

    <expand|item*|<key|esc>-<key|R>>crear una raz <with|mode|math|n>-sima.

    <expand|item*|<key|esc>-<key|N>>crear una negacin.
  </description>

  <subsection|Acentos en modo matemtico>

  Hay que utilizar las siguientes combinaciones para conseguir los
  correspondientes acentos:

  <\description>
    <expand|item*|<key|esc>-<key|~>>para poner tildes, como en
    <with|mode|math|<wide|x|~>>.

    <expand|item*|<key|esc>-<key|^>>para poner sombreros como en
    <with|mode|math|<wide|x|^>>.

    <expand|item*|<key|esc>-<key|C>>para poner un trazo curvo, como en
    <with|mode|math|<wide|x|\<check\>>>.

    <expand|item*|<key|esc>-<key|B>>para poner barras
    <with|mode|math|<wide|x|\<bar\>>>.

    <expand|item*|<key|esc>-<key|V>>para poner flechas, como en
    <with|mode|math|<wide|x|\<vect\>>>.

    <expand|item*|<key|esc>-<key|>>para los acentos agudos, como en
    <with|mode|math|<wide|x|\<acute\>>>.

    <expand|item*|<key|esc>-<key|\0>>para los acentos graves, como en
    <with|mode|math|<wide|x|\<grave\>>>.
  </description>

  <subsection|Smbolos grandes>

  <\description>
    <expand|item*|<key|esc>-<key|esc>-<key|S>>produce
    <with|mode|math|<big|sum>>.

    <expand|item*|<key|esc>-<key|esc>-<key|P>>produce
    <with|mode|math|<big|prod>>.

    <expand|item*|<key|esc>-<key|esc>-<key|I>>produce
    <with|mode|math|<big|int>>.

    <expand|item*|<key|esc>-<key|esc>-<key|O>>produce
    <with|mode|math|<big|oint>>.

    <expand|item*|<key|esc>-<key|esc>-<key|A>>produce
    <with|mode|math|\<amalg\>>.

    <expand|item*|<key|esc>-<key|esc>-<key|N>>produce
    <with|mode|math|<big|cap>>.

    <expand|item*|<key|esc>-<key|esc>-<key|W>>produce
    <with|mode|math|<big|wedge>>.

    <expand|item*|<key|esc>-<key|esc>-<key|U>>produce
    <with|mode|math|<big|cup>>.

    <expand|item*|<key|esc>-<key|esc>-<key|V>>produce
    <with|mode|math|<big|vee>>.

    <expand|item*|<key|esc>-<key|esc>-<key|<apply|tmat>>-<key|.>>produce
    <with|mode|math|<big|odot>>.

    <expand|item*|<key|esc>-<key|esc>-<key|<apply|tmat>>-<key|+>>produce
    <with|mode|math|<big|oplus>>.

    <expand|item*|<key|esc>-<key|esc>-<key|<apply|tmat>>-<key|x>>produce
    <with|mode|math|<big|otimes>>.

    <expand|item*|<key|esc>-<key|esc>-<key|L>-<key|I>>produce
    <with|mode|math|<big|int>> con lmites.

    <expand|item*|<key|esc>-<key|esc>-<key|L>-<key|O>>produce
    <with|mode|math|<big|oint>> con lmites.
  </description>

  <subsection|Delimitadores grandes>

  <\description>
    <expand|item*|<key|esc>-<key|esc>-<key|(>>produce <with|mode|math|(>.

    <expand|item*|<key|esc>-<key|esc>-<key|)>>produce <with|mode|math|)>.

    <expand|item*|<key|esc>-<key|esc>-<key|[>>produce <with|mode|math|[>.

    <expand|item*|<key|esc>-<key|esc>-<key|]>>produce <with|mode|math|]>.

    <expand|item*|<key|esc>-<key|esc>-<key|{>>produce <with|mode|math|{>.

    <expand|item*|<key|esc>-<key|esc>-<key|}>>produce <with|mode|math|}>.

    <expand|item*|<key|esc>-<key|esc>-<key|<with|mode|math|\<less\>>>>produce
    <with|mode|math|\<langle\>>.

    <expand|item*|<key|esc>-<key|esc>-<key|<with|mode|math|\<gtr\>>>>produce
    <with|mode|math|\<rangle\>>.

    <expand|item*|<key|esc>-<key|esc>-<key|<with|mode|math|\|>>>produce
    <with|mode|math|\|>.

    <expand|item*|<key|esc>-<key|esc>-<key|/>>produce <with|mode|math|/>.

    <expand|item*|<key|esc>-<key|esc>-<key|b>>produce
    <with|mode|math|\<backslash\>>.
  </description>

  En <TeXmacs> los delimitadores grandes pueden ser de tres tipos:
  izquierdos, derechos o centrales. Por defecto,
  <with|mode|math|<left|(>,<left|[>,<left|{>> y
  <with|mode|math|<left|langle>> son delimitadores izquierdos,
  <with|mode|math|),<right|]>,<right|}>> y
  <with|mode|math|><with|mode|math|<right|rangle>> son delimitadores derechos
  y <with|mode|math|<mid|\|>,<mid|/>> y <with|mode|math|<mid|\\> >son
  delimitadores centrales. Pero su naturaleza puede cambiarse usando las
  combinaciones <key|esc>-<key|esc>-<key|l>, <key|esc>-<key|esc>-<key|r> y
  <key|esc>-<key|esc>-<key|m>. Por ejemplo,
  <key|esc>-<key|esc>-<key|l>-<key|)> produce <with|mode|math|<right|)>>
  considerado como delimitador izquierdo grande.

  En <apply|TeX> o <apply|LaTeX>, los delimitadores centrales o
  ``separadores'' no existen; se usan para producir las barras verticales en
  frmulas como

  <\expand|equation*>
    <left|langle><frac|a|b+c><left|\|><frac|p|q+r><right|\|><frac|a|b+c><righ\
    t|rangle>.
  </expand>

  Puede haber tantos delimitadores centrales entre uno izquierdo y uno
  derecho como desees.

  <subsection|Otros smbolos matemticos>

  <\description>
    <expand|item*|Variantes.>Las versiones pequeas de los delimitadores
    grandes se obtienen como sigue: <key|esc>-<key|esc>-<key|a> da
    <with|mode|math|\<amalg\>>, <key|esc>-<key|esc>-<key|n>
    da<with|mode|math| > <with|mode|math|\<cap\>>, etc.

    <expand|item*|<key|esc>-<key|esc>-<key|d>>da
    <with|mode|math|\<partial\>>.

    <expand|item*|<key|esc>-<key|esc>-<key|x>>da <with|mode|math|\<times\>>.

    <expand|item*|<key|esc>-<key|esc>-<key|p>>da <with|mode|math|\<wp\>>.
  </description>

  <section|El teclado en modo programa><label|kbd:prog>

  Para \ entrar en el modo programa puedes o bien usar <key|libra> o arrancar
  una sesin de programacin a partir del men <submenu|Insert|session>. En
  el modo de programacin el prrafo actual es ejectuado cada vez que pulses
  <key|intro>. Si quieres insertar un salto de lnea, usa <key|shift-return>.
</body>

<\initial>
  <\collection>
    <associate|language|spanish>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|kbd:prog|<tuple|<uninit>|?>>
    <associate|kbd:math|<tuple|<uninit>|?>>
    <associate|toc-10|<tuple|<uninit>|?>>
    <associate|toc-11|<tuple|<uninit>|?>>
    <associate|toc-12|<tuple|<uninit>|?>>
    <associate|toc-13|<tuple|<uninit>|?>>
    <associate|toc-14|<tuple|<uninit>|?>>
    <associate|kbd:text|<tuple|<uninit>|?>>
    <associate|toc-1|<tuple|<uninit>|?>>
    <associate|toc-2|<tuple|<uninit>|?>>
    <associate|toc-3|<tuple|<uninit>|?>>
    <associate|toc-4|<tuple|<uninit>|?>>
    <associate|toc-5|<tuple|<uninit>|?>>
    <associate|toc-6|<tuple|<uninit>|?>>
    <associate|toc-7|<tuple|<uninit>|?>>
    <associate|toc-8|<tuple|<uninit>|?>>
    <associate|toc-9|<tuple|<uninit>|?>>
    <associate|kbd:general|<tuple|<uninit>|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|El
      teclado><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      Acciones generales de teclado<value|toc-dots><pageref|toc-2>

      <with|left margin|<quote|1.5fn>|Acciones
      estndar<value|toc-dots><pageref|toc-3>>

      <with|left margin|<quote|1.5fn>|Manipulacin de objetos
      dinmicos<value|toc-dots><pageref|toc-4>>

      <with|left margin|<quote|1.5fn>|Comandos
      L<rsup|<space|-0.8spc><move|A|0fn|-0.1fn>><space|-0.2spc>T<rsub|<space|\
      -0.4spc><move|<resize|<with|index level|<quote|0>|E>||||0.5fn|>|0fn|-0.\
      1fn>><space|-0.4spc>X<value|toc-dots><pageref|toc-5>>

      El teclado en modo texto<value|toc-dots><pageref|toc-6>

      The keyboard in math mode<value|toc-dots><pageref|toc-7>

      <with|left margin|<quote|1.5fn>|Mathematical
      objects<value|toc-dots><pageref|toc-8>>

      <with|left margin|<quote|1.5fn>|Accents in
      math-mode<value|toc-dots><pageref|toc-9>>

      <with|left margin|<quote|1.5fn>|Large
      symbols<value|toc-dots><pageref|toc-10>>

      <with|left margin|<quote|1.5fn>|Large
      delimiters<value|toc-dots><pageref|toc-11>>

      <with|left margin|<quote|1.5fn>|Other mathematical
      symbols<value|toc-dots><pageref|toc-12>>

      The keyboard in prog mode<value|toc-dots><pageref|toc-13>
    </associate>
  </collection>
</auxiliary>
