<TeXmacs|1.0.0.3>

<style|help>

<\body>
  <chapter|Estilos de documento>

  <section|Arquitectura principal>

  Es posible asociar a un documento uno o varios estilos de documento, bien
  estndares o definidos por el usuario. El estilo principal del documento se
  selecciona a travs de <submenu|Documento|estilo>. Se pueden aadir estilos
  adicionales a travs de <submenu|Documento|usar paquete>.

  Desde el punto de vista del editor, cada estilo corresponde a un fichero
  <verbatim|.ts>. Los ficheros correspondientes a cada estilo se procesan
  como si fuesen documentos convencionales, pero con la particularidad de que
  el editor slo mantiene el entorno final del documento de estilo como
  entorno inicial del documento real. Los ficheros de estilo se procesan en
  orden, al igual que sus propios estilos, de modo recursivo.

  <section|Estilos estndar>

  Actualmente estn redactados los siguientes estilos estndar:

  <\itemize>
    <item>Libro,

    <item>Artculo;

    <item>Carta;

    <item>Seminario (para transparencias).
  </itemize>

  Cada uno de estos estilos exporta cierto nmero de funciones y estilos
  estndar (listados abajo). Exigimos a todos los estilos estndar que se
  redactan que den soporte a los comandos y entornos que siguen, y sugerimos
  que, como usuario, escribas ficheros de estilo que lo hagan:

  <\itemize>
    <item>Comandos de divisin en secciones.

    <item>Listas de bolos y numeradas.

    <item>Entornos tipo ecuacin.

    <item>Entornos tipo teorema.

    <item>Entornos de programacin.
  </itemize>

  Fjate en que los entornos tipo teorema no son estndar en <LaTeX>, lo cual
  constituye una fuente conocida de incompatibilidades.\ 

  Se pueden aadir nuevos teoremas con el comando <verbatim|newtheorem>. Es
  tambin posible aadir nuevas ``observaciones'', con el comando
  <verbatim|newremark>. Las observaciones difieren de los teoremas en que en
  general el cuerpo de las primeras no se compone con nfasis (usualmente
  cursiva).

  Tampoco los entornos de programacin estn soportados por <LaTeX>. Tales
  entornos estn actualmente en desarrollo.

  <section|Ficheros de estilo del usuario>

  <subsection|Fjate en un ejemplo>

  Antes de escribir tu propio fichero de estilo puede serte til echar un
  vistazo a algunos de los ficheros de estilo estndar. Puedes usar, por
  ejemplo, <verbatim|book.ts> (<submenu|Fichero|cargar>, sin necesidad de
  especificar un camino de bsqueda, ya que el directorio de estilos est
  incluido en el camino por omisin).

  Una vez cargado <verbatim|book.ts> (por ejemplo), vers muchas
  declaraciones de funciones y entornos (y las vers porque los ficheros de
  estilo estn en ``modo prembulo'' (ver <submenu|Opciones|modo>). Hay
  algunas declaraciones ms en los ficheros <verbatim|basic.ts>,
  <verbatim|list.ts>, <verbatim|theorem.ts> y <verbatim|program.ts>, en los
  cuales <verbatim|book.ts> est basado. Estos ficheros contienen,
  respectivamente, entornos bsicos, tipo lista, tipo teorema y de
  programacin.

  <subsection|Algunos caminos importantes>

  Antes de que escribas tu propio fichero de estilos, es til que conozcas
  las variables que engloban los caminos (<em|paths>) a la ubicacin en el
  disco duro de algunos de los recursos importantes de <TeXmacs>:

  <\with|paragraph mode|left>
    <\itemize>
      <item><verbatim|$TEXMACS_PATH> es el camino principal de
      <apply|TeXmacs>.

      <item><verbatim|$TEXMACS_HOME_PATH> es el camino principal para
      ficheros <apply|TeXmacs> del usuario (documentos, estilos o programas).
      Por defecto est fijado como <verbatim|~/.TeXmacs>.

      <item><verbatim|$TEXMACS_STYLE_ROOT> contiene los directorios raz para
      ficheros de estilo. por defecto este camino contiene
      <verbatim|$TEXMACS_PATH/styles> y <verbatim|$TEXMACS_HOME_PATH/styles>.

      <item><verbatim|$TEXMACS_PACKAGE_ROOT> los directorios raz para
      paquetes de estilo. Por defecto, este camino contiene
      <verbatim|$TEXMACS_PATH/packages> y
      <verbatim|$TEXMACS_HOME_PATH/packages>.

      <item><verbatim|$TEXMACS_STYLE_PATH> contiene el camino para incluir
      ficheros de estilo. Por defecto, este camino contiene <verbatim|.> y
      todos los subdirectorios en <verbatim|$TEXMACS_STYLE_ROOT> y
      <verbatim|$TEXMACS_PACKAGE_ROOT>.

      <item><verbatim|$TEXMACS_FILE_PATH> contiene el camino para buscar
      ficheros de texto. Por defecto, este camino contiene
      <verbatim|$TEXMACS_STYLE_PATH>, <verbatim|$TEXMACS_PATH/texts> y
      <verbatim|$TEXMACS_HOME_PATH/texts>.
    </itemize>
  </with>

  <subsection|Cmo escribir tu propio fichero de estilos>

  Lo que sigue es una lista de los principales atajos de teclado que deberas
  conocer para escribir ficheros de estilo:

  <\description>
    <expand|item*|<key|esc>-<key|<with|mode|math|=>>>crea una nueva
    asignacin. El primer argumento es el nombre de un nuevo comando y el
    segundo una expresin.

    <expand|item*|<key|esc>-<key|w>>permite cambiar localmente una o ms
    variables de entorno. Las sentencias <with|font family|tt|with> son de la
    forma <with|mode|math|\<langle\>x<rsub|1>\|a<rsub|1>\|\<cdots\>\|x<rsub|n\
    >\|a<rsub|n>\|b\<rangle\>>, donde los <with|mode|math|x<rsub|i>> son los
    nombres de las variables, los <with|mode|math|a<rsub|i>> son sus valores
    locales, y <with|mode|math|b> es el texto sobre el que se aplica el
    entorno local.

    <expand|item*|<key|esc>-<key|m>>crea un macro. Los argumentos se insertan
    utilizando la tecla <key|tab>.

    <expand|item*|<key|esc>-<key|f>>crea una funcin. Los argumentos se
    insertan utilizando la tecla <key|tab>.

    <expand|item*|<key|esc>-<key|i>-<key|<with|mode|math|#>>>obtiene el valor
    de un argumento del macro.

    <expand|item*|<key|esc>-<key|i>-<key|v>>obtiene el valor de una variable
    de entorno.

    <expand|item*|<key|esc>-<key|i>-<key|e>>expande el macro con cero o ms
    argumentos.

    <expand|item*|<key|esc>-<key|i>-<key|a>>aplica una funcin a cero o ms
    argumentos.
  </description>

  Qu es lo que ocurre exactamente al expandir un macro
  <with|mode|math|{a\|x<rsub|1>\|\<cdots\>\|x<rsub|n>}> creado mediante
  <key|esc>-<key|i>-<key|e>?:

  <\itemize>
    <item>Si <with|mode|math|a> no es una cadena ni un macro, entonces
    <with|mode|math|a> se evala una sola vez. Esto produce o bien un nombre
    de macro o una expresin de macro <with|mode|math|f>.

    <item>Si se trata de un nombre de macro, entonces sustitumos
    <with|mode|math|f> por el valor la la variable de entorno
    <with|mode|math|f>. Si despus de esto <with|mode|math|f >no es todava
    un macro, entonces devolvemos <with|mode|math|f>.

    <item>Sean <with|mode|math|y<rsub|1>,\<ldots\>,y<rsub|n>> los argumentos
    de <with|mode|math|f> y <with|mode|math|b> su cuerpo (se desechan los
    argumentos superfluos; los argumentos faltantes toman la cadena vaca
    como su valor por defecto). Entonces sustitumos
    <with|mode|math|x<rsub|i>> por cada <with|mode|math|y<rsub|i>> en
    <with|mode|math|b> y devolvemos el resultado que ha sido evaluado.
  </itemize>

  Las funciones son similares a los macros, salvo en que los argumentos de
  las aplicaciones de una funcin son evaluados y no pueden ser editados
  directamente (primero necesitas desactivar la aplicacin de la funcin,
  despus editar los argumentos y por ltimo, reactivar). Tambin,
  <with|mode|math|y<rsub|1>,\<ldots\>,y<rsub|n>> se consideran ahora como
  variables de entorno locales, a las que se atribuyen
  <with|mode|math|x<rsub|1>\<ldots\>x<rsub|n>> como sus valores. Estas
  variables locales no se recuerdan cuando una funcin devuelve una funcin
  que las utiliza.

  <subsection|Marcado computacional>

  Se pueden usar los siguientes comandos para hacer clculos dinmicos:

  <\description>
    <expand|item*|<key|esc-e>-<key|\|>>``o'' secuencial de dos condiciones.

    <expand|item*|<key|esc-e>-<key|^>>``o'' exclusivo de dos condiciones.

    <expand|item*|<key|esc-e>-<key|&>>``y'' secuencial de dos condiciones.

    <expand|item*|<key|esc-e>-<key|!>>negacin de una condicin.

    <expand|item*|<key|esc-e>-<key|+>>sumar dos nmeros o longitudes.

    <expand|item*|<key|esc-e>-<key|->>restar dos nmeros o longitudes.

    <expand|item*|<key|esc-e>-<key|<with|mode|math|\<star\>>>>multiplicar dos
    nmeros.

    <expand|item*|<key|esc-e>-<key|/>>dividir dos nmeros.

    <expand|item*|<key|esc-e>-<key|;>>concatenar dos cadenas.

    <expand|item*|<key|esc-e>-<key|<with|mode|math|#>>>mostrar un nmero en
    rabe, roman, Roman, alfa o Alfa (utilizado por ejemplo en las
    enumeraciones).

    <expand|item*|<key|esc-e>-<key|<with|mode|math|\<gtr\>>>>traducir una
    palabra de un idioma fuente a un idioma destino (ver los diccionarios en
    <verbatim|$TEXMACS_PATH/data/dic>).

    <expand|item*|<key|esc-e>-<key|=>>comprobacin de igualdad.

    <expand|item*|<key|esc-e>-<key|esc-=>>comprobacin de desigualdad.

    <expand|item*|<key|esc-e>-<key|?>>insertar una instruccin <verbatim|if>
    con una parte <verbatim|else> opcional.
  </description>

  \;
</body>

<\initial>
  <\collection>
    <associate|paragraph width|150mm>
    <associate|odd page margin|30mm>
    <associate|shrinking factor|4>
    <associate|page right margin|30mm>
    <associate|page top margin|30mm>
    <associate|reduction page right margin|25mm>
    <associate|reduction page bottom margin|15mm>
    <associate|even page margin|30mm>
    <associate|reduction page left margin|25mm>
    <associate|page bottom margin|30mm>
    <associate|reduction page top margin|15mm>
    <associate|language|spanish>
  </collection>
</initial>

<\references>
  <\collection>
    <associate|toc-1|<tuple|<uninit>|?>>
    <associate|toc-2|<tuple|<uninit>|?>>
    <associate|toc-3|<tuple|<uninit>|?>>
    <associate|toc-4|<tuple|<uninit>|?>>
    <associate|toc-5|<tuple|<uninit>|?>>
    <associate|toc-6|<tuple|<uninit>|?>>
    <associate|toc-7|<tuple|<uninit>|?>>
    <associate|toc-8|<tuple|<uninit>|?>>
    <associate|toc-9|<tuple|<uninit>|?>>
  </collection>
</references>

<\auxiliary>
  <\collection>
    <\associate|toc>
      <vspace*|1fn><with|font series|<quote|bold>|Estilos de
      documento><value|toc-dots><pageref|toc-1><vspace|0.5fn>

      Arquitectura principal<value|toc-dots><pageref|toc-2>

      Estilos estndar<value|toc-dots><pageref|toc-3>

      Ficheros de estilo del usuario<value|toc-dots><pageref|toc-4>

      <with|left margin|<quote|1.5fn>|Fjate en un
      ejemplo<value|toc-dots><pageref|toc-5>>

      <with|left margin|<quote|1.5fn>|Algunos caminos
      importantes<value|toc-dots><pageref|toc-6>>

      <with|left margin|<quote|1.5fn>|Cmo escribir tu propio fichero de
      estilos<value|toc-dots><pageref|toc-7>>

      <with|left margin|<quote|1.5fn>|Computational
      markup<value|toc-dots><pageref|toc-8>>
    </associate>
  </collection>
</auxiliary>
